Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class ChannelUn

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.JniHandler
              org.apache.jk.common.ChannelUn

All Implemented Interfaces:
  java.util.EventListener, JkChannel, javax.management.MBeanRegistration, javax.management.NotificationListener

public class ChannelUn
extends JniHandler
implements JkChannel

Pass messages using unix domain sockets.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.jk.common.JniHandler
`apr, C2B_NOTE, JK_HANDLE_JNI_DISPATCH, JK_HANDLE_SHM_DISPATCH, jkHome, MB_NOTE, MSG_NOTE, nativeJkHandlerP`

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, HANDLE_THREAD_END, id, LAST, mserver, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`ChannelUn()`

Method Summary
`void` | `close(MsgContext ep)`
`void` | `destroy()` Clean up and stop the handler
`int` | `flush(Msg msg, MsgContext ep)` Flush the data to the client.
`java.lang.String` | `getChannelName()` Return the identifying name of this Channel.
`java.lang.String` | `getFile()`
`ThreadPool` | `getThreadPool()`
`void` | `init()` You must call initNative() inside the component init()
`int` | `invoke(Msg msg, MsgContext ep)` Invoke the request chain.
`boolean` | `isSameAddress(MsgContext ep)` Confirm that a shutdown request was recieved form us.
`int` | `open(MsgContext ep)` Open a connection - since we're listening that will block in accept
`int` | `receive(Msg msg, MsgContext ep)` Recieve a message from the client.
`void` | `registerRequest(Request req, MsgContext ep, int count)` Register a new Request in the Request pool.
`int` | `send(Msg msg, MsgContext ep)` Send a message back to the client.
`void` | `setFile(java.lang.String f)`
`void` | `start()`

Methods inherited from class org.apache.jk.common.JniHandler
`appendString, createMsgContext, destroyJkComponent, getJkHome, initJkComponent, initNative, nativeDispatch, pause, recycleNative, resume, setJkHome, setNativeAttribute, setNativeEndpoint`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, postDeregister, postRegister, preDeregister, preRegister, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jk.core.JkChannel
`createMsgContext`

Constructor Detail

### ChannelUn

    public ChannelUn()

Method Detail

### getThreadPool

    public ThreadPool getThreadPool()

### setFile

    public void setFile(java.lang.String f)

### getFile

    public java.lang.String getFile()

### init

    public void init()
              throws java.io.IOException

  Description copied from class: `JniHandler`
  You must call initNative() inside the component init()

  Overrides:
    `init` in class `JniHandler`
  Throws:
    `java.io.IOException`

### start

    public void start()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### destroy

    public void destroy()
                 throws java.io.IOException

  Description copied from class: `JkHandler`
  Clean up and stop the handler

  Overrides:
    `destroy` in class `JkHandler`
  Throws:
    `java.io.IOException`

### registerRequest

    public void registerRequest(Request req,
                                MsgContext ep,
                                int count)

  Description copied from interface: `JkChannel`
  Register a new Request in the Request pool.

  Specified by:
    `registerRequest` in interface `JkChannel`

### open

    public int open(MsgContext ep)
             throws java.io.IOException

  Open a connection - since we're listening that will block in accept

  Throws:
    `java.io.IOException`

### close

    public void close(MsgContext ep)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### send

    public int send(Msg msg,
                    MsgContext ep)
             throws java.io.IOException

  Description copied from interface: `JkChannel`
  Send a message back to the client.

  Specified by:
    `send` in interface `JkChannel`
  Parameters:
    `msg` - The message to send.
    `ep` - The connection point for this request.
  Throws:
    `java.io.IOException`

### receive

    public int receive(Msg msg,
                       MsgContext ep)
                throws java.io.IOException

  Description copied from interface: `JkChannel`
  Recieve a message from the client.

  Specified by:
    `receive` in interface `JkChannel`
  Parameters:
    `msg` - The place to recieve the data into.
    `ep` - The connection point for this request.
  Throws:
    `java.io.IOException`

### flush

    public int flush(Msg msg,
                     MsgContext ep)
              throws java.io.IOException

  Description copied from interface: `JkChannel`
  Flush the data to the client.

  Specified by:
    `flush` in interface `JkChannel`
  Throws:
    `java.io.IOException`

### isSameAddress

    public boolean isSameAddress(MsgContext ep)

  Description copied from interface: `JkChannel`
  Confirm that a shutdown request was recieved form us.

  Specified by:
    `isSameAddress` in interface `JkChannel`

### invoke

    public int invoke(Msg msg,
                      MsgContext ep)
               throws java.io.IOException

  Description copied from interface: `JkChannel`
  Invoke the request chain.

  Specified by:
    `invoke` in interface `JkChannel`
  Overrides:
    `invoke` in class `JniHandler`
  Throws:
    `java.io.IOException`

### getChannelName

    public java.lang.String getChannelName()

  Description copied from interface: `JkChannel`
  Return the identifying name of this Channel.

  Specified by:
    `getChannelName` in interface `JkChannel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.